/* eslint-disable react/prop-types */
import PropTypes from 'prop-types';
import React, { useState } from 'react';
import Chevronright from '@s-ui/react-icons/lib/Chevronright';
import cx from 'classnames';

var breadcrumbClassName = function breadcrumbClassName(isExpanded) {
  return cx('sui-BreadcrumbBasic', {
    'is-expanded': isExpanded
  });
};

export default function BreadcrumbBasic(_ref) {
  var items = _ref.items,
      icon = _ref.icon,
      Link = _ref.linkFactory;

  var _useState = useState(false),
      isExpanded = _useState[0],
      setIsExpanded = _useState[1];

  var expandBreadcrumb = function expandBreadcrumb() {
    return setIsExpanded(true);
  };

  var IconAngle = icon || Chevronright;
  var numItems = items.length - 1;
  return React.createElement("nav", {
    "aria-label": "breadcrumb",
    role: "navigation"
  }, React.createElement("div", {
    className: breadcrumbClassName(isExpanded)
  }, React.createElement("button", {
    onClick: expandBreadcrumb,
    className: "sui-BreadcrumbBasic-btn"
  }, "..."), React.createElement("ul", {
    className: "sui-BreadcrumbBasic-list"
  }, items.map(function (_ref2, index) {
    var url = _ref2.url,
        label = _ref2.label;
    return React.createElement("li", {
      className: "sui-BreadcrumbBasic-listItem",
      key: index
    }, index !== 0 && index <= numItems && React.createElement(IconAngle, {
      svgClass: "sui-BreadcrumbBasic-icon"
    }), url ? React.createElement(Link, {
      href: url,
      className: "sui-BreadcrumbBasic-link"
    }, label) : label);
  }))));
}
BreadcrumbBasic.displayName = 'BreadcrumbBasic';
BreadcrumbBasic.defaultProps = {
  linkFactory: function linkFactory(_ref3) {
    var href = _ref3.href,
        className = _ref3.className,
        children = _ref3.children;
    return React.createElement("a", {
      href: href,
      className: className
    }, children);
  }
};